List a scan's pages
curl --request GET \
--url https://app.ilitylabs.com/v1/scans/{id}/pages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/scans/{id}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/scans/{id}/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"scan_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"domain_slug": "<string>",
"domain_name": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pages_complete": 1,
"pages_total": 1
},
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"status": "<string>",
"http_status": 123,
"issue_count": 123,
"score": 123,
"has_blocking": true,
"page_group": "<string>",
"error": "<string>",
"failure_kind": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123
}
],
"total": 123,
"counts": {
"total": 123,
"pending": 123,
"running": 123,
"complete": 123,
"failed": 123,
"skipped": 123
}
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}Scans
List a scan's pages
Lists the pages in one scan run with each page’s result, score, and any failure reason.
GET
/
v1
/
scans
/
{id}
/
pages
List a scan's pages
curl --request GET \
--url https://app.ilitylabs.com/v1/scans/{id}/pages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/scans/{id}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/scans/{id}/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"scan_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"domain_slug": "<string>",
"domain_name": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pages_complete": 1,
"pages_total": 1
},
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"status": "<string>",
"http_status": 123,
"issue_count": 123,
"score": 123,
"has_blocking": true,
"page_group": "<string>",
"error": "<string>",
"failure_kind": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123
}
],
"total": 123,
"counts": {
"total": 123,
"pending": 123,
"running": 123,
"complete": 123,
"failed": 123,
"skipped": 123
}
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}